#!/usr/bin/gnuplot

set xl "a [AU]"
set yl "e []"
set cbl "rho [NTP/box/0,16 Myr]"

x1 = 0.2
x2 = 3.5
y1 = 0.0
y2 = 0.3
nx = 200
ny = 50
eps = 0
eps = 1

dx = (x2-x1)/(nx-1)
dy = (y2-y1)/(ny-1)

set xr [x1:x2]
set yr [y1:y2]

set ticslevel 0
set pm3d map
set palette defined ( 0.0 1 1 1, 0.5 1 0.8 0, 0.8 1 0 0, 1.0 1 0.3 0.3 )
set noztics
set nokey

a_veritas = 3.16873952
e_veritas = 0.09886684
i_veritas = 9.264909
set label "  (490) Veritas" at a_veritas+0.15, e_veritas rotate center front font "Helvetica,14"

set style line 2 lt 1 lw 5 pt 1 ps 3
set style line 3 lt 3 lw 1 pt 7 ps 3

sp "distmap.out" matrix u (x1+$1*dx):(y1+$2*dy):($3+eps),\
   "<echo 1 1 1" u ($1*a_veritas):($2*e_veritas):3 w p ls 2,\
   "<awk '(NR==3)' pl.elmts" u 1:2:3 w p lt 3 pt 7 ps 1,\
   "<awk '(NR==4)' pl.elmts" u 1:2:3 w p lt 3 pt 7 ps 3,\
   "<awk '(NR==5)' pl.elmts" u 1:2:3 w p lt 3 pt 7 ps 3,\
   "<awk '(NR==6)' pl.elmts" u 1:2:3 w p lt 3 pt 7 ps 2
#pa -1

set term post eps enh color "Helvetica" 18
set out "prach_veritas_10mu_distmap.eps"

set xl "{/Helvetica-Oblique a} [AU]"
set yl "{/Helvetica-Oblique e} []"
set cbl "{/Symbol r} [NTP / box / 0,16 Myr]"

rep

q


#set pm3d
#set view 0,0
#set nosurface
#set palette rgbformulae -34,-35,-36
#sp "distmap.out" matrix u (x1+$1*dx):(y1+$2*dy):(log10($3+eps))

#set term png small
#set out "distmap.png"
#rep


